COPS

Create creator

POST
/creators

Create a new creator profile and auto-link it to your organization. Requires a unique username and email. Returns the created creator (without private address fields).

Authorization

apiKeyAuth
headerx-api-key<token>

API key for authentication. Keys are prefixed with cops_.

Request Body

application/json
  1. body
name*string
Length1 <= length
email*string
Formatemail
avatar?|null
bio?string|null
gender?|null
country?|null
phone?string|null
birthday?string|null
portfolioUrl?|null
tiktokUsername?string|null
instagramUsername?string|null
youtubeUsername?string|null
twitterUsername?string|null
threadsUsername?string|null
facebookUsername?string|null
snapchatUsername?string|null
discordUsername?string|null
discordId?string|null
discordAvatarHash?string|null
userId?string|null
username?|null
isPublic?boolean
Defaulttrue
interests?array<>|null
addressLine1?string|null
addressLine2?string|null
city?string|null
state?string|null
postalCode?string|null
formattedAddress?string|null
latitude?number|null
longitude?number|null

Response Body

Response schema unavailable.

Example Request
curl -X POST 'https://cops.app/api/brand/creators' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "email": "[email protected]"}'
Example Response200
Empty